<template>
  <div class="pb-20">
    <div class="flex justify-center">
      <div
        class="pb-8 pt-2 px-4 mt-4 max-w-[932px] bg-[color:var(--background-body)] boxShadow rounded-3xl"
      >
        <div v-if="!title.IsHidden" class="mb-6 text-left">
          <div class="text-2xl font-bold text-[color:var(--title-font-color)]">
            {{ $t("privacy") }}
          </div>
        </div>
        <div
          v-if="!contentInfo.IsHidden"
          class="text-[16px] text-[color:var(--font-color-primary)]"
          v-html="contentInfo.Text"
        ></div>
        <nuxt-link :to="'/'">
          <button
            class="max-w-[240px] text-[color:var(--font-color-primary)] bg-[color:var(--button-bg)] box-shadow h-[40px] px-5 font-[600] mt-6 uppercase rounded-md"
          >
            {{ $t("go_to_homepage") }}
          </button>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>
<script lang="ts" setup>
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";
const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const contentInfo = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "menu_content_3_1"
    )
);
const title = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "footer_menu_info_3"
    )
);
</script>
<style lang="scss" scoped></style>
